MKFS.CRAMFS(8)

NOM
mkfs.cramfs - Créer un système de fichiers compressé en lecture seule

SYNOPSIS

mkfs.cramfs [options] répertoire fichier

DESCRIPTION

Les fichiers sur systèmes de fichiers cramfs sont compressés avec zlib une page à la fois pour permettre l’accès en lecture aléatoire. Les métadonnées ne sont pas compressées mais sont exprimées en représentation abrégée qui prend moins de place que celle des systèmes de fichiers conventionnels.

Le système de fichiers est intentionnellement en lecture seule pour simplifier sa conception ; l’accès en lecture aléatoire pour les fichiers compressés est difficile à implémenter. cramfs embarque un utilitaire (mkcramfs(8)) pour empaqueter les fichiers dans de nouvelles images cramfs.

La taille des fichiers est limitée à moins de 16 Mo.

La taille maximale du système de fichiers est un peu inférieure à 272 Mo (le dernier fichier sur le système de fichiers doit commencer avant le bloc de 256 Mo, mais peut continuer au-delà).

ARGUMENTS

Le répertoire est simplement la racine de l’arborescence utilisée pour générer un système de fichiers compressé.

Le fichier contiendra le système de fichiers cramfs qui pourra ensuite être monté.

OPTIONS

-v
    Activer le mode verbeux.

-E
    Traiter tous les avertissements comme des erreurs indiquées par le code de retour de la commande.

-b taillebloc
    Utiliser la taille de bloc définie, qui doit être divisible par la taille de page.

-e édition
    Utiliser le numéro d’édition de système de fichiers défini dans le superbloc.

-N [big|little|host]
    Utiliser le boutisme défini. La valeur par défaut est host.

-i fichier
    Insérer un fichier dans un système de fichiers cramfs.

-n nom
    Définir le nom du système de fichiers cramfs.

-p
    Remplir à 512 octets pour le code d’amorçage.

-s
    Cette option est ignorée. À l’origine, -s activait le tri des entrées de répertoire.

-z
    Créer explicitement des trous.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

CODE DE RETOUR

0
    Succès.

8
    Erreur d’opération, comme un échec d’allocation mémoire.

VOIR AUSSI

fsck.cramfs(8), mount(8)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande mkfs.cramfs fait partie du paquet util-linux, qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.